import { BuildContext, BuiltTaskResult } from '@teambit/builder';
import { Compiler, TranspileOpts, TranspileOutput } from '@teambit/compiler';
import { Logger } from '@teambit/logger';
import { BabelCompilerOptions } from './compiler-options';
export declare class BabelCompiler implements Compiler {
    private logger;
    private options;
    constructor(logger: Logger, options: BabelCompilerOptions);
    distDir: string;
    distGlobPatterns: string[];
    shouldCopyNonSupportedFiles: boolean;
    artifactName: string;
    /**
     * compile one file on the workspace
     */
    transpileFile(fileContent: string, options: TranspileOpts): TranspileOutput;
    /**
     * compile multiple components on the capsules
     */
    build(context: BuildContext): Promise<BuiltTaskResult>;
    private buildOneCapsule;
    getArtifactDefinition(): {
        generatedBy: string;
        name: string;
        globPatterns: string[];
    }[];
    /**
     * given a source file, return its parallel in the dists. e.g. index.ts => dist/index.js
     */
    getDistPathBySrcPath(srcPath: string): string;
    /**
     * whether babel is able to compile the given path
     */
    isFileSupported(filePath: string): boolean;
    private replaceFileExtToJs;
}
